<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=utf-8">
  <title>status.py</title>
  <link rel="stylesheet" href="pycco.css">
</head>
<body>
<div id='container'>
  <div id="background"></div>
  <div class='section'>
    <div class='docs'><h1>status.py</h1></div>
  </div>
  <div class='clearall'>
  <div class='section' id='section-0'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-0'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span></span><span class="k">def</span> <span class="nf">is_informational</span><span class="p">(</span><span class="n">code</span><span class="p">):</span>
    <span class="k">return</span> <span class="n">code</span> <span class="o">&gt;=</span> <span class="mi">100</span> <span class="ow">and</span> <span class="n">code</span> <span class="o">&lt;=</span> <span class="mi">199</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-1'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-1'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">is_success</span><span class="p">(</span><span class="n">code</span><span class="p">):</span>
    <span class="k">return</span> <span class="n">code</span> <span class="o">&gt;=</span> <span class="mi">200</span> <span class="ow">and</span> <span class="n">code</span> <span class="o">&lt;=</span> <span class="mi">299</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-2'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-2'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">is_redirect</span><span class="p">(</span><span class="n">code</span><span class="p">):</span>
    <span class="k">return</span> <span class="n">code</span> <span class="o">&gt;=</span> <span class="mi">300</span> <span class="ow">and</span> <span class="n">code</span> <span class="o">&lt;=</span> <span class="mi">399</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-3'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-3'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">is_client_error</span><span class="p">(</span><span class="n">code</span><span class="p">):</span>
    <span class="k">return</span> <span class="n">code</span> <span class="o">&gt;=</span> <span class="mi">400</span> <span class="ow">and</span> <span class="n">code</span> <span class="o">&lt;=</span> <span class="mi">499</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-4'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-4'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">is_server_error</span><span class="p">(</span><span class="n">code</span><span class="p">):</span>
    <span class="k">return</span> <span class="n">code</span> <span class="o">&gt;=</span> <span class="mi">500</span> <span class="ow">and</span> <span class="n">code</span> <span class="o">&lt;=</span> <span class="mi">599</span>


<span class="n">HTTP_100_CONTINUE</span> <span class="o">=</span> <span class="mi">100</span>
<span class="n">HTTP_101_SWITCHING_PROTOCOLS</span> <span class="o">=</span> <span class="mi">101</span>
<span class="n">HTTP_200_OK</span> <span class="o">=</span> <span class="mi">200</span>
<span class="n">HTTP_201_CREATED</span> <span class="o">=</span> <span class="mi">201</span>
<span class="n">HTTP_202_ACCEPTED</span> <span class="o">=</span> <span class="mi">202</span>
<span class="n">HTTP_203_NON_AUTHORITATIVE_INFORMATION</span> <span class="o">=</span> <span class="mi">203</span>
<span class="n">HTTP_204_NO_CONTENT</span> <span class="o">=</span> <span class="mi">204</span>
<span class="n">HTTP_205_RESET_CONTENT</span> <span class="o">=</span> <span class="mi">205</span>
<span class="n">HTTP_206_PARTIAL_CONTENT</span> <span class="o">=</span> <span class="mi">206</span>
<span class="n">HTTP_300_MULTIPLE_CHOICES</span> <span class="o">=</span> <span class="mi">300</span>
<span class="n">HTTP_301_MOVED_PERMANENTLY</span> <span class="o">=</span> <span class="mi">301</span>
<span class="n">HTTP_302_FOUND</span> <span class="o">=</span> <span class="mi">302</span>
<span class="n">HTTP_303_SEE_OTHER</span> <span class="o">=</span> <span class="mi">303</span>
<span class="n">HTTP_304_NOT_MODIFIED</span> <span class="o">=</span> <span class="mi">304</span>
<span class="n">HTTP_305_USE_PROXY</span> <span class="o">=</span> <span class="mi">305</span>
<span class="n">HTTP_306_RESERVED</span> <span class="o">=</span> <span class="mi">306</span>
<span class="n">HTTP_307_TEMPORARY_REDIRECT</span> <span class="o">=</span> <span class="mi">307</span>
<span class="n">HTTP_400_BAD_REQUEST</span> <span class="o">=</span> <span class="mi">400</span>
<span class="n">HTTP_401_UNAUTHORIZED</span> <span class="o">=</span> <span class="mi">401</span>
<span class="n">HTTP_402_PAYMENT_REQUIRED</span> <span class="o">=</span> <span class="mi">402</span>
<span class="n">HTTP_403_FORBIDDEN</span> <span class="o">=</span> <span class="mi">403</span>
<span class="n">HTTP_404_NOT_FOUND</span> <span class="o">=</span> <span class="mi">404</span>
<span class="n">HTTP_405_METHOD_NOT_ALLOWED</span> <span class="o">=</span> <span class="mi">405</span>
<span class="n">HTTP_406_NOT_ACCEPTABLE</span> <span class="o">=</span> <span class="mi">406</span>
<span class="n">HTTP_407_PROXY_AUTHENTICATION_REQUIRED</span> <span class="o">=</span> <span class="mi">407</span>
<span class="n">HTTP_408_REQUEST_TIMEOUT</span> <span class="o">=</span> <span class="mi">408</span>
<span class="n">HTTP_409_CONFLICT</span> <span class="o">=</span> <span class="mi">409</span>
<span class="n">HTTP_410_GONE</span> <span class="o">=</span> <span class="mi">410</span>
<span class="n">HTTP_411_LENGTH_REQUIRED</span> <span class="o">=</span> <span class="mi">411</span>
<span class="n">HTTP_412_PRECONDITION_FAILED</span> <span class="o">=</span> <span class="mi">412</span>
<span class="n">HTTP_413_REQUEST_ENTITY_TOO_LARGE</span> <span class="o">=</span> <span class="mi">413</span>
<span class="n">HTTP_414_REQUEST_URI_TOO_LONG</span> <span class="o">=</span> <span class="mi">414</span>
<span class="n">HTTP_415_UNSUPPORTED_MEDIA_TYPE</span> <span class="o">=</span> <span class="mi">415</span>
<span class="n">HTTP_416_REQUESTED_RANGE_NOT_SATISFIABLE</span> <span class="o">=</span> <span class="mi">416</span>
<span class="n">HTTP_417_EXPECTATION_FAILED</span> <span class="o">=</span> <span class="mi">417</span>
<span class="n">HTTP_428_PRECONDITION_REQUIRED</span> <span class="o">=</span> <span class="mi">428</span>
<span class="n">HTTP_429_TOO_MANY_REQUESTS</span> <span class="o">=</span> <span class="mi">429</span>
<span class="n">HTTP_431_REQUEST_HEADER_FIELDS_TOO_LARGE</span> <span class="o">=</span> <span class="mi">431</span>
<span class="n">HTTP_451_UNAVAILABLE_FOR_LEGAL_REASONS</span> <span class="o">=</span> <span class="mi">451</span>
<span class="n">HTTP_500_INTERNAL_SERVER_ERROR</span> <span class="o">=</span> <span class="mi">500</span>
<span class="n">HTTP_501_NOT_IMPLEMENTED</span> <span class="o">=</span> <span class="mi">501</span>
<span class="n">HTTP_502_BAD_GATEWAY</span> <span class="o">=</span> <span class="mi">502</span>
<span class="n">HTTP_503_SERVICE_UNAVAILABLE</span> <span class="o">=</span> <span class="mi">503</span>
<span class="n">HTTP_504_GATEWAY_TIMEOUT</span> <span class="o">=</span> <span class="mi">504</span>
<span class="n">HTTP_505_HTTP_VERSION_NOT_SUPPORTED</span> <span class="o">=</span> <span class="mi">505</span>
<span class="n">HTTP_511_NETWORK_AUTHENTICATION_REQUIRED</span> <span class="o">=</span> <span class="mi">511</span>

</pre></div>
    </div>
  </div>
  <div class='clearall'></div>
</div>
</body>
